## Apache Zeta Components Manual :: Docs For Class ezcMailException

### Mail::ezcMailException

### Class ezcMailException

ezcMailExceptions are thrown when an exceptional state occures in the Mail package.

Source for this file: /Mail/src/exceptions/mail_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcMailException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcMailTransportException | Transport exceptions are thrown when either sending or receiving mail transports fail to do their job properly.
ezcMailNoSuchMessageException | The ezcMailNoSuchMessageException is thrown when a message with an ID is requested that doesn't exist in the transport.
ezcMailInvalidLimitException | The ezcMailInvalidLimitException is thrown when request is made to fetch messages with the offset outside of the existing message range.
ezcMailOffsetOutOfRangeException | The ezcMailOffsetOutOfRangeException is thrown when request is made to fetch messages with the offset outside of the existing message range.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcMailException | `__construct( $message )` Constructs a new ezcMailException with error message $message.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcMailException __construct( string $message )

Constructs a new ezcMailException with error message $message.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcMailTransportException::__construct()` | Constructs an ezcMailTransportException with low level information $message.
`ezcMailNoSuchMessageException::__construct()` | Constructs an ezcMailNoSuchMessageException
`ezcMailInvalidLimitException::__construct()` | Constructs an ezcMailInvalidLimitException
`ezcMailOffsetOutOfRangeException::__construct()` | Constructs an ezcMailOffsetOutOfRangeException

Documentation generated by phpDocumentor 1.4.3